DropzoneRendererContributor (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.DropzoneRendererContributor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class DropzoneRendererContributor

    java.lang.Object
      org.richfaces.renderkit.DropzoneRendererContributor

All Implemented Interfaces:
  org.richfaces.renderkit.RendererContributor, org.richfaces.renderkit.ScriptOptionsContributor

    public class DropzoneRendererContributor

extends java.lang.Object
implements org.richfaces.renderkit.RendererContributor

Author:
  shura

Nested Class Summary
`class` | `DropzoneRendererContributor.DropZoneOptions` Utility class for building scripting options

Field Summary
`static java.lang.String` | `DROP_TARGET_ID`

Method Summary
`org.richfaces.renderkit.ScriptOptions` | `buildOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent drop)`
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, org.richfaces.renderkit.CompositeRenderer compositeRenderer)`
`java.lang.Class` | `getAcceptableClass()`
`static org.richfaces.renderkit.RendererContributor` | `getInstance()`
`java.lang.String` | `getScriptContribution(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String[]` | `getScriptDependencies()`
`java.lang.String[]` | `getStyleDependencies()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DROP_TARGET_ID

    public static final java.lang.String DROP_TARGET_ID

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static org.richfaces.renderkit.RendererContributor getInstance()

### buildOptions

    public org.richfaces.renderkit.ScriptOptions buildOptions(javax.faces.context.FacesContext context,
                                                              javax.faces.component.UIComponent drop)

  Specified by:
    `buildOptions` in interface `org.richfaces.renderkit.ScriptOptionsContributor`

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component,
                       org.richfaces.renderkit.CompositeRenderer compositeRenderer)

  Specified by:
    `decode` in interface `org.richfaces.renderkit.RendererContributor`

### getScriptContribution

    public java.lang.String getScriptContribution(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

  Specified by:
    `getScriptContribution` in interface `org.richfaces.renderkit.RendererContributor`

### getStyleDependencies

    public java.lang.String[] getStyleDependencies()

  Specified by:
    `getStyleDependencies` in interface `org.richfaces.renderkit.RendererContributor`

### getScriptDependencies

    public java.lang.String[] getScriptDependencies()

  Specified by:
    `getScriptDependencies` in interface `org.richfaces.renderkit.RendererContributor`

### getAcceptableClass

    public java.lang.Class getAcceptableClass()

  Specified by:
    `getAcceptableClass` in interface `org.richfaces.renderkit.RendererContributor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.